# Create address

Create and add an address object to an applicant or an affiliated person. Only one address per type may be added to an object

Endpoint: POST /addresses
Version: 1.0
Security: API-Key

## Security:

  - `API-Key` (unknown)
    apiKey in header API-Key

## Request fields (application/json):

  - `applicant_id` (string, required)
    A unique identifier of an applicant, that is assigned by our system after an applicant object was created with a “Create an applicant” request
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

  - `type` (string, required)
    A type of an address object. The possible types are:
* `REGISTERED` for the residential address of a person
* `ADDITIONAL` for any other address associated with a person
    Enum: "REGISTERED", "ADDITIONAL"

  - `full_address` (string | null)
    A full address of an object, including a street address, a unit, a city, a postal code, a country
    Example: 45 High Street, Flat 2A, London, SW1A 1AA, United Kingdom

  - `country` (string | null)
    A country of an object. A two-letter country code according to ISO 3166-2
    Example: GB

  - `state` (string | null)
    A state of a person or a company
    Example: null

  - `region` (string | null)
    A region of a country of an object
    Example: Scotland

  - `province` (string | null)
    A province (a sub-region of a country) of an object
    Example: Ontario

  - `city` (string | null)
    A city or a town of a person or a company
    Example: London

  - `district` (string | null)
    The district (an area of a city) of an object
    Example: Westminster

  - `address` (string | null)
    An address (a street name, a building number, and a unit number) of a person or a company
    Example: 45 High Street, Flat 2A

  - `postal_code` (string | null)
    A postal code (zip code, postcode) of a person or a company
    Example: SW1A 1AA

  - `street_name` (string | null)
    A street name of an object
    Example: High Street

  - `building_number` (string | null)
    A number of a building of an object
    Example: 45

  - `unit_number` (string | null)
    A number of a unit (flat, apartment) of an object
    Example: Flat 2A

  - `type` (string, required)
    A type of an address object. The possible types are:
* `REGISTERED` for the registered address of a company
* `BUSINESS` for the primary business location of a company
* `ADDITIONAL` for any other address associated with a company
    Enum: "REGISTERED", "BUSINESS", "ADDITIONAL"

  - `affiliated_person_id` (string, required)
    A unique identifier of an affiliated person object, that is assigned by our system after an affiliated person object was created with a “Create an affiliated person” request
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

  - `type` (string, required)
    A type of an address object. The possible types are:
* `REGISTERED` for the residential address of an affiliated person
* `ADDITIONAL` for any other address associated with an affiliated person
    Enum: "REGISTERED", "ADDITIONAL"

## Response 200:

  - `200` (unknown)
    **OK**
The request was successful, and our system returned an expected response.

## Response 200 fields (application/json):

  - `address_id` (string)
    A unique identifier of an address object, that is assigned by our system after an address entity was created
    Example: 27c5caea93ee4656881ef9a30fadd21a3768

## Response 400:

  - `400` (unknown)
    **Bad Request**
Our system could not process the request due to invalid syntax, missing parameters, or incorrect data format. Check the request structure and try again.

## Response 400 fields (application/json):

  - `type` (string)
    Example: bad_request

  - `errors` (array)

## Response 402:

  - `402` (unknown)
    **Payment Required**
Access to the requested resource is restricted until a payment is successfully processed. Ensure your account has a valid payment method or sufficient funds to complete this action.

## Response 402 fields (application/json):

  - `type` (string)
    Example: insufficient_funds

  - `errors` (array)

## Response 404:

  - `404` (unknown)
    **Not Found**
The requested resource does not exist or can’t be found in our system.

## Response 404 fields (application/json):

  - `type` (string)
    Example: not_found

  - `errors` (array)

  - `errors.parameter` (string)
    Example: applicant_id

  - `errors.message` (string)
    Example: Applicant was not found

## Response 422:

  - `422` (unknown)
    **Unprocessable Content**
Our system understands the request but can’t process it due to invalid fields in the request body.

## Response 422 fields (application/json):

  - `type` (string)
    Example: validation

  - `errors` (array)

  - `errors.parameter` (string)
    Example: *

  - `errors.message` (string)
    Example: One of the next parameters are required: applicant_id, affiliated_person_id

## Response 429:

  - `429` (unknown)
    **Too Many Requests**
This response indicates that a user has sent too many requests in a given amount of time.

## Response 429 fields (application/json):

  - `type` (string)
    Example: flow

  - `errors` (array)

  - `errors.parameter` (string)
    Example: limit_exceeded

  - `errors.message` (string)
    Example: Rate limit exceeded

## Response 500:

  - `500` (unknown)
    **Internal Server Error**
This response indicates that our system encountered an unexpected condition that prevented it from fulfilling the request.

## Response 500 fields (application/json):

  - `type` (string)
    Example: internal_server

  - `errors` (array)

## Response 502:

  - `502` (unknown)
    **Bad Gateway**
This response indicates that our system is unable to reach or communicate properly with an upstream server it relies on, the URL provided is incorrect, or a required token is missing from the request.

